BEGIN ~SD_B~

IF ~!GLOBAL("BOXTRAP","GLOBAL",2)~ THEN BEGIN 0 // from: 4.0
  SAY ~There are four buttons on the box, labeled A to D. Above each is a small screen. All the screens are blank, including the large central one. There is also a small switch to the side, currently in the "off" position. You detect nothing dangerous about the box.~
  IF ~!Class(Myself,THIEF)
CheckStatGT(Myself,11,INT)
Global("BOXTRAP","GLOBAL",0)~ THEN REPLY ~Search for traps on the box.~ GOTO 1
  IF ~!Class(Myself,THIEF)
CheckStatLT(Myself,12,INT)
Global("BOXTRAP","GLOBAL",0)~ THEN REPLY ~Search for traps on the box.~ GOTO 4
  IF ~Class(Myself,THIEF)
CheckStatGT(Myself,69,TRAPS)
Global("BOXTRAP","GLOBAL",0)~ THEN REPLY ~Search for traps on the box.~ GOTO 1
  IF ~Class(Myself,THIEF)
CheckStatLT(Myself,70,TRAPS)
Global("BOXTRAP","GLOBAL",0)~ THEN REPLY ~Search for traps on the box.~ GOTO 1
  IF ~HaveSpell(CLERIC_FIND_TRAPS)
Global("BOXTRAP","GLOBAL",0)~ THEN REPLY ~Cast a spell to detect traps on the box.~ GOTO 2
  IF ~GLOBAL("BOXTRAP","GLOBAL",1)~ THEN REPLY ~Flick the switch to "on".~ DO ~SETGLOBAL("BOX","GLOBAL",1)~ GOTO 6
  IF ~GLOBAL("BOXTRAP","GLOBAL",0)~ THEN REPLY ~Flick the switch to "on".~ GOTO 5
  IF ~~ THEN REPLY ~Leave the box for now.~ EXIT
END

IF ~~ THEN BEGIN 1 // from: 0.3 0.2 0.0
  SAY ~Looking more carefully, you can make out a cunning spring-loaded device which would skewer your hand were you to try to open the box.~
  IF ~!Class(Myself,THIEF)
CheckStatGT(Myself,16,DEX)~ THEN REPLY ~Try to disarm the trap.~ DO ~SetGlobal("BOXTRAP","GLOBAL",1)~ GOTO 3
  IF ~!Class(Myself,THIEF)
CheckStatLT(Myself,17,DEX)~ THEN REPLY ~Try to disarm the trap.~ DO ~SetGlobal("BOXTRAP","GLOBAL",2)~ GOTO 5
  IF ~Class(Myself,THIEF)
CheckStatGT(Myself,69,LOCKPICKING)~ THEN REPLY ~Try to disarm the trap.~ DO ~SetGlobal("BOXTRAP","GLOBAL",1) ~ GOTO 3
  IF ~Class(Myself,THIEF)
CheckStatLT(Myself,70,LOCKPICKING)
Global("BOXTRAP","GLOBAL",0)~ THEN REPLY ~Try to disarm the trap.~ DO ~SetGlobal("BOXTRAP","GLOBAL",2)~ GOTO 5
  IF ~~ THEN REPLY ~Leave the box for now.~ DO ~SetGlobal("BOXTRAP","GLOBAL",2)~EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.4
  SAY ~Using your divine magic, you can clearly see a cunning spring-loaded device which would skewer your hand were you to try to open the box.~
  IF ~CheckStatGT(Myself,16,DEX)~ THEN REPLY ~Try to disarm the trap.~ DO ~SETGLOBAL("BOXTRAP","GLOBAL",0)~ GOTO 3
  IF ~CheckStatLT(Myself,17,DEX)~ THEN REPLY ~Try to disarm the trap.~ DO ~SETGLOBAL("BOXTRAP","GLOBAL",2)~ GOTO 5
  IF ~~ THEN REPLY ~Leave the box for now.~ DO ~SETGLOBAL("BOXTRAP","GLOBAL",2) DisplayString(Myself,11985)~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 2.0 1.2 1.0
  SAY ~Carefully, you manage to set off the trap safely, without danger to yourself. It is now harmless and you can examine the box in greater safety.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.1
  SAY ~You detect nothing dangerous about the box.~
  IF ~~ THEN GOTO 0
END

IF ~~ THEN BEGIN 5 // from: 2.1 1.3 1.1 0.6
  SAY ~You hear the thwack of a poisoned barb embedding itself into your palm. You gasp in pain and curse yourself.~
  IF ~~ THEN DO ~ApplySpell(Myself,WIZARD_MELF_ACID_ARROW)~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.5
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY ~A box without hinges, key or lid,
Yet golden treasure inside is hid.
What is it?~
  IF ~~ THEN REPLY ~A shipwreck~  GOTO 25
  IF ~~ THEN REPLY ~A heart~ GOTO 25
  IF ~~ THEN REPLY ~An egg~ DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 8
  IF ~~ THEN REPLY ~A chest~ GOTO 25
  IF ~~ THEN REPLY  ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 7.2
  SAY  ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY ~What is the eighth word on the fourth line of the forty-fifth page of the original Baldur's Gate II manual?~
  IF ~~ THEN REPLY ~Records~  GOTO 25
  IF ~~ THEN REPLY ~Skull~ DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 10
  IF ~~ THEN REPLY ~Of~  GOTO 25
  IF ~~ THEN REPLY ~Spell~ GOTO 25
  IF ~~ THEN REPLY ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 9.1
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY  ~What saves lives as it takes them, governs lives and yet have no life of its own?~
  IF ~~ THEN REPLY ~Disease~ GOTO 25
  IF ~~ THEN REPLY  ~Time~ GOTO 25
  IF ~~ THEN REPLY ~A sword~ DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 12
  IF ~~ THEN REPLY ~A king~ GOTO 25
  IF ~~ THEN REPLY ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 11.2
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY ~Who was the Lost King?~
  IF ~~ THEN REPLY ~Gondegal~ DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 14
  IF ~~ THEN REPLY ~Jergal~ GOTO 25
  IF ~~ THEN REPLY ~Greneire~ GOTO 25
  IF ~~ THEN REPLY ~Obould~ GOTO 25
  IF ~~ THEN REPLY ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY ~Trash - 'Tis something - nothing, 'twas mine, 'tis his, and has been slave to thousands. What is it?~
  IF ~~ THEN REPLY  ~Greed~ GOTO 25
  IF ~~ THEN REPLY ~Reputation~ GOTO 25
  IF ~~ THEN REPLY ~Food~ GOTO 25
  IF ~~ THEN REPLY ~Money~ DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 16
  IF ~~ THEN REPLY ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 16 // from: 15.3
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY ~In the Land of the Sane, seven turnips and ten monkeys are valued at one hundred and twenty three chickens.
Chickens, three thereof, subtracted from the value of five monkeys would get you three turnips.
 
In terms of chickens, how much are one monkey and two turnips worth, respectively?~
  IF ~~ THEN REPLY ~Twenty chickens and two chickens~ GOTO 25
  IF ~~ THEN REPLY ~Six chickens and eighteen chickens~  DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 18
  IF ~~ THEN REPLY ~Two chickens and twenty chickens~ GOTO 25
  IF ~~ THEN REPLY ~One chicken and five chickens~ GOTO 25
  IF ~~ THEN REPLY ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 18 // from: 17.1
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.0
  SAY ~What is the name of the bartender in the Den of Seven Vales inn in Athkatla?~
  IF ~~ THEN REPLY ~Deidre~ GOTO 25
  IF ~~ THEN REPLY ~Ribald~ GOTO 25
  IF ~~ THEN REPLY ~Bernard~ GOTO 25
  IF ~~ THEN REPLY ~Patricia~ DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 20
  IF ~~ THEN REPLY  ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 20 // from: 19.3
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 21
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY ~This is a most amazing thing, 
For it can be both as sharp as a knife, 
Or as flat as a floor. 
And yet, for all that it can be, 
It is as natural as a bee.~
  IF ~~ THEN REPLY ~Words~ GOTO 25
  IF ~~ THEN REPLY ~Paper~ GOTO 25
  IF ~~ THEN REPLY ~Landscape~ GOTO 25
  IF ~~ THEN REPLY ~Music~ DO ~IncrementGlobal("BOX","GLOBAL",1)~ GOTO 22
  IF ~~ THEN REPLY ~Flick the switch to "off".~ EXIT
END

IF ~~ THEN BEGIN 22 // from: 21.3
  SAY ~On the larger enchanted screen, a message appears.~
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY ~Security measures satisfied - I open.~
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY ~The box folds outwards and then again inwards on itself, twisting inside-out in a staggering display of dimensional dynamics, before disappearing. You put its ex-contents into your inventory.~
  IF ~~ THEN DO ~DestroyItem("SD_B")
CreateItem("SD_pTS",5,0,0)
CreateItem("SD_OCDM",5,0,0)
CreateItem("SD_SIF",1,0,0)
CreateItem("SD_MS2",1,0,0)~ EXIT
END

IF ~~ THEN BEGIN 25 // from: 21.2 21.1 21.0 19.2 19.1 19.0 17.3 17.2 17.0 15.2 15.1 15.0 13.3 13.2 13.1 11.3 11.1 11.0 9.3 9.2 9.0 7.3 7.1 7.0
  SAY ~A sinister whirring noise of cogs emanates from within the box. You eye it fearfully, wondering what trap you may have triggered...~
  IF ~Global("BOX","GLOBAL",1)~ THEN DO ~ReallyForceSpell(Myself,WIZARD_FIREBALL)~ EXIT
  IF ~Global("BOX","GLOBAL",2)~ THEN DO ~ActionOverride(Myself,DestroyAllEquipment())
					CreateVisualEffectObject("SPFLESHS",Myself)
					ActionOverride(Myself,CreateItem("SD_B",0,0,0))~ EXIT
  IF ~Global("BOX","GLOBAL",3)~ THEN DO ~CreateVisualEffectObject("SPFLMBLD",Player1)
					CreateVisualEffectObject("SPFLMBLD",Player2)
					CreateVisualEffectObject("SPFLMBLD",Player3)
					CreateVisualEffectObject("SPFLMBLD",Player4)
					CreateVisualEffectObject("SPFLMBLD",Player5)
					CreateVisualEffectObject("SPFLMBLD",Player6)
					Wait(1)
					CreateCreatureObjectOffset("SD_B1",Player1,[50.50])
					CreateCreatureObjectOffset("SD_B1",Player2,[50.50])
					CreateCreatureObjectOffset("SD_B1",Player3,[50.50])
					CreateCreatureObjectOffset("SD_B1",Player4,[50.50])
					CreateCreatureObjectOffset("SD_B1",Player5,[50.50])
					CreateCreatureObjectOffset("SD_B1",Player6,[50.50])~ EXIT
  IF ~Global("BOX","GLOBAL",4)~ THEN DO ~ApplySpellRES("SD_B1",Myself)~ EXIT
  IF ~Global("BOX","GLOBAL",5)~ THEN DO ~ApplySpellRES("SPWISH23",Myself)~ EXIT
  IF ~Global("BOX","GLOBAL",6)~ THEN DO ~ApplySpellRES("SD_B2",Myself)~ EXIT
  IF ~Global("BOX","GLOBAL",7)~ THEN DO ~Wait(1)
					ReallyForceSpellRES("SD_B3",Myself)~ EXIT
  IF ~Global("BOX","GLOBAL",8)~ THEN DO ~GiveItem("SD_B",Player1)
					CreateVisualEffectObject("SPPOWATK",Player1)
					CreateVisualEffectObject("SPFLESHS",Player1)
					CreateVisualEffectObject("SPPOWRRD",Player1)
					PlaySound("EFF_P19")
					PlaySound("EFF_M36B")
					Wait(2)
					ActionOverride(Player1,ReallyForceSpellRES("SD_B4",Player1))~ EXIT
END

IF ~GLOBAL("BOXTRAP","GLOBAL",2)~ THEN BEGIN 26
 SAY ~There are four buttons on the box, labeled A to D. Above each is a small screen. All the screens are blank, including the large central one. There is also a small switch to the side, currently in the "off" position.~
 IF ~~ THEN GOTO 1
END